# Interface PlaylistDto

interface PlaylistDto {
account_id?: string;
created_at?: string;
description?: string;
id?: string;
name?: string;
reference_id?: string;
search?: string;
type?: string;
updated_at?: string;
video_ids?: string[];
videos?: VideoDto[];
}

#####
Index

### Properties

account_id?
created_at?
description?
id?
name?
reference_id?
search?
type?
updated_at?
video_ids?
videos?

## Properties

### `Optional` account_id

account_id?: string

Video Cloud account id

### `Optional` created_at

created_at?: string

date/time created

### `Optional` description

description?: string

playlist description

### `Optional` id

id?: string

the playlist id

### `Optional` name

name?: string

the playlist name

### `Optional` reference_id

reference_id?: string

the playlist reference id

### `Optional` search

search?: string

search string to retrieve the videos (smart playlists only)

### `Optional` type

type?: string

the playlist type: EXPLICIT or smart playlist type

### `Optional` updated_at

updated_at?: string

date/time last modified

### `Optional` video_ids

video_ids?: string[]

array of video ids (EXPLICIT playlists only)

### `Optional` videos

videos?: VideoDto[]

array of video maps